#include "input.h"
#include "text.h"
#include "sprite.h"
#include "vector.h"
#include <SDL.h>
#include <string>
#include <vector>
#include "sound.h"

class Engine
{
    private:
    const char* ctitle;
    int frameStart = 0;
    bool soundInitialized = false;

    public:
    Input input;
    int targetFrameRate = 60;
    SDL_Window *window;
    SDL_Renderer *renderer;

    Engine(std::string title, int width, int height);
    void initSound();
    void clear(SDL_Color color);
    void startFrame();
    void render();
    void update();
    ~Engine();
};